gd_raw_filename(3)

NAME
gd_raw_filename — retrieve the pathname of a binary file in a dirfile

SYNOPSIS
#include <getdata.h>

char *gd_raw_filename(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The gd_raw_filename() function reports the pathname of the file backing the RAW field specified by field_code in the dirfile specified by dirfile. If field_code contains a valid representation suffix, it will be ignored.

RETURN VALUE
On success, gd_raw_filename() returns the full pathname of the binary file associated with the specified field in buffer allocated by malloc(3). The returned pointer should be passed to free(3) once the caller no longer needs it. On error, NULL is returned and the dirfile error is set to a non-zero error value. Possible error values are:

GD_E_ALLOC
    The library was unable to allocate memory.

GD_E_BAD_CODE
    The field specified by field_code was not found.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_FIELD_TYPE
    The field specified by field_code was not a RAW field.

GD_E_UNKNOWN_ENCODING
    The encoding scheme of the specified field could not be determined or was not understood by GetData.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_entry(3), gd_error(3), gd_error_string(3), dirfile(5), dirfile-encoding(5), dirfile-format(5), free(3), malloc(3)